Type=Class
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class Square module
Sub Class_Globals
	Private fx As JFX
	Private mx, my, mWidth As Int
End Sub

'Initializes the Square object.
Sub Initialize (Shapes As List, x As Int, y As Int, Width As Int)
	mx = x
	my = y
	mWidth = Width
	Shapes.Add(Me)
End Sub

Sub Draw(c As Canvas)
	c.DrawRect(mx, my, mWidth, mWidth, fx.Colors.Red, False, 1dip)
End Sub
